Name:           pmars
Version:        0.9.2
Release:        %mkrel 12
License:        GPLv2
Group:          Games/Strategy
URL:            http://www.corewars.org/
Source0:        http://download.sourceforge.net/corewar/pMARS/%{version}/%{name}-%{version}.tar.gz
Source1:        http://vyznev.net/corewar/guide.html
Patch0:         pmars-0.9.2-mga-nostrip.patch
Summary:        The reference implementation of Corewar
BuildRequires:  pkgconfig(x11)

%description
Corewar is a game played vicariously through the action of assembly language
programs written in a language called Redcode.


%prep
%autosetup -p1
cp -a %{SOURCE1} doc

%build
%make_build -C src

%install
install -D -m 0755 src/%{name} %{buildroot}%{_gamesbindir}/%{name}
install -D -m 0644 doc/%{name}.6 %{buildroot}%{_mandir}/man6/%{name}.6
mkdir -p %{buildroot}%{_datadir}/games/%{name}
cp -rp config %{buildroot}%{_gamesdatadir}/%{name}/config
cp -rp warriors %{buildroot}%{_gamesdatadir}/%{name}/warriors

chmod 0755 %{buildroot}%{_gamesdatadir}/%{name}/{warriors,config}

%files
%doc AUTHORS CONTRIB COPYING ChangeLog README
%doc doc/corewar-faq.html doc/primer.* doc/redcode.ref doc/whatsnew.080 doc/guide.html
%{_mandir}/man6/*
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/warriors/*
%{_gamesdatadir}/%{name}/config/*


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.9.2-12.mga8
+ Revision: 1516007
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.9.2-11.mga7
+ Revision: 1300320
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use make_build

* Fri Feb 12 2016 umeabot <umeabot> 0.9.2-10.mga6
+ Revision: 958540
- Mageia 6 Mass Rebuild

* Mon Oct 19 2015 danf <danf> 0.9.2-9.mga6
+ Revision: 892869
- Added nostrip.patch to build binaries with debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 0.9.2-8.mga5
+ Revision: 744115
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.2-7.mga5
+ Revision: 687687
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.9.2-6.mga4
+ Revision: 517588
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.9.2-5.mga3
+ Revision: 377937
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 0.9.2-4.mga3
+ Revision: 324699
- rebuild for Mga3 Beta1

* Mon Jan 30 2012 kamil <kamil> 0.9.2-3.mga2
+ Revision: 203336
- fix file permissions (configs and warriors)
- remove corewars providing (corewars was a different gtk1 application)

* Mon Jan 30 2012 kamil <kamil> 0.9.2-2.mga2
+ Revision: 203187
- adapt .spec for Mageia
- imported package pmars


* Tue Dec 30 2008 prusnak@suse.cz
- created package (version 0.9.2)
